### Enumeration

# Vips Kernel

#### Declaration

    enum Vips.Kernel

#### Description [src]

The resampling kernels vips supports. See `vips_reduce()`, for example.

#### Members

`VIPS_KERNEL_NEAREST`

  The nearest pixel to the point.

  - Value: `0`
  - Available since: 8.0
`VIPS_KERNEL_LINEAR`

  Convolve with a triangle filter.

  - Value: `1`
  - Available since: 8.0
`VIPS_KERNEL_CUBIC`

  Convolve with a cubic filter.

  - Value: `2`
  - Available since: 8.0
`VIPS_KERNEL_MITCHELL`

  Convolve with a Mitchell kernel.

  - Value: `3`
  - Available since: 8.0
`VIPS_KERNEL_LANCZOS2`

  Convolve with a two-lobe Lanczos kernel.

  - Value: `4`
  - Available since: 8.0
`VIPS_KERNEL_LANCZOS3`

  Convolve with a three-lobe Lanczos kernel.

  - Value: `5`
  - Available since: 8.0
`VIPS_KERNEL_MKS2013`

  Convolve with Magic Kernel Sharp 2013.

  - Value: `6`
  - Available since: 8.0
`VIPS_KERNEL_MKS2021`

  Convolve with Magic Kernel Sharp 2021.

  - Value: `7`
  - Available since: 8.0